summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2015-12-05 01:38:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-12-05 01:38:43 +0700
commit1f22345346f42e238b4395b18dd6548572d33e5e (patch)
treeb7fd6647e89841c9efc60e5c2b8e5aafc1a1e684 /games
parent751dc143ba202efc8ec93607aeec937a76af6a5b (diff)
downloadslackbuilds-1f22345346f42e238b4395b18dd6548572d33e5e.tar.gz
slackbuilds-1f22345346f42e238b4395b18dd6548572d33e5e.tar.xz
games/marathon-eternal-data: Added (game data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/marathon-eternal-data/README24
-rw-r--r--games/marathon-eternal-data/doinst.sh3
-rw-r--r--games/marathon-eternal-data/marathon-eternal-data.SlackBuild103
-rw-r--r--games/marathon-eternal-data/marathon-eternal-data.info10
-rw-r--r--games/marathon-eternal-data/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/games/marathon-eternal-data/README b/games/marathon-eternal-data/README
new file mode 100644
index 0000000000..7f31d0b017
--- /dev/null
+++ b/games/marathon-eternal-data/README
@@ -0,0 +1,24 @@
+marathon-eternal-data (game data for use with alephone)
+
+Eternal is a free scenario for Aleph One, the multi-platform,
+open-source, first-person-shooter engine derived from Bungie's
+Marathon engine. It continues the story of the Marathon trilogy,
+and is a nearly total conversion, featuring:
+
+ * Fifty-two new levels, some revisiting familiar locations from
+ the original Marathon trilogy.
+ * Over six hundred fifty new high-resolution textures, including
+ a dozen original landscape textures, from a variety of human
+ and alien environments.
+ * Eight all new weapons, many of which must be scavenged from your
+ defeated enemies.
+ * Over a dozen tracks of original music, including many remixes of
+ your favorite tracks from the original Marathon.
+ * And several new creatures and characters, alongside the complete
+ cast from the original trilogy.
+
+Included in the package is a shell script wrapper. Type "marathon-eternal"
+or select Marathon Eternal X from the KDE or XFCE "Games" menu.
+
+To install the gamedata in /opt instead of /usr to save space in the
+root partition use use OPT=yes ./marathon-eternal-data.SlackBuild
diff --git a/games/marathon-eternal-data/doinst.sh b/games/marathon-eternal-data/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/marathon-eternal-data/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/marathon-eternal-data/marathon-eternal-data.SlackBuild b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
new file mode 100644
index 0000000000..48a007448a
--- /dev/null
+++ b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for Marathon Eternal X
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=marathon-eternal-data
+VERSION=${VERSION:-1.1.0}
+SRCVER=$(echo $VERSION | tr -d .)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# install gamedata in opt instead of usr
+OPT=${OPT:-no}
+if [ "${OPT:-yes}" == "yes" ]; then
+ DATA="/opt/AlephOne"
+else
+ DATA="/usr/share/AlephOne/gamedata"
+fi
+
+ZIPNAME=EternalX
+ZIPFILE=${ZIPNAME}v${SRCVER}Full.zip
+WRAPPER=marathon-eternal
+DATADIR=$PKG$DATA
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $DATADIR
+unzip $CWD/$ZIPFILE -d $DATADIR
+
+chown -R root:root $DATADIR
+
+# NB: the usual find predicate is different (zipfile stores +x permissions
+# on some files for no good reason)
+find $DATADIR \
+ \( -type f -exec chmod 644 {} \; \) -o \
+ \( -type d -exec chmod 755 {} \; \)
+
+# Write launcher script to the user's path
+mkdir -p $PKG/usr/games
+cat > $PKG/usr/games/$WRAPPER <<EOF
+#!/bin/sh
+ALEPHONE_DATA="$DATA/Eternal $VERSION"
+export ALEPHONE_DATA
+exec alephone "\$@"
+EOF
+find $PKG/usr/games -perm 644 -exec chmod 755 {} \;
+
+# Write a desktop file
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$WRAPPER.desktop <<EOF
+[Desktop Entry]
+Name=Marathon Eternal X
+Exec=$WRAPPER
+Icon=alephone
+Type=Application
+Comment=Marathon Eternal X (first-person shooter game)
+Categories=Game;ActionGame;
+EOF
+
+# Don't want this
+rm -rf $DATADIR/__MACOSX
+
+# Remove unneeded hidden files
+find $DATADIR -name ".[^.]*" -mindepth 1 -print0 | xargs -0r rm -rf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/marathon-eternal-data/marathon-eternal-data.info b/games/marathon-eternal-data/marathon-eternal-data.info
new file mode 100644
index 0000000000..f1405ce9f0
--- /dev/null
+++ b/games/marathon-eternal-data/marathon-eternal-data.info
@@ -0,0 +1,10 @@
+PRGNAM="marathon-eternal-data"
+VERSION="1.1.0"
+HOMEPAGE="http://eternal.bungie.org/index.php"
+DOWNLOAD="http://eternal.bungie.org/files/_releases/EternalXv110Full.zip"
+MD5SUM="9881140a7836c46869a3c985ce2c1709"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="alephone"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file
diff --git a/games/marathon-eternal-data/slack-desc b/games/marathon-eternal-data/slack-desc
new file mode 100644
index 0000000000..7b1d9556bd
--- /dev/null
+++ b/games/marathon-eternal-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+marathon-eternal-data: marathon-eternal-data (game data for use with alephone)
+marathon-eternal-data:
+marathon-eternal-data: Eternal is a free scenario for Aleph One, the multi-platform,
+marathon-eternal-data: open-source, first-person-shooter engine derived from Bungie's
+marathon-eternal-data: Marathon engine. It continues the story of the Marathon trilogy,
+marathon-eternal-data: and is a nearly total conversion.
+marathon-eternal-data:
+marathon-eternal-data: Homepage: http://eternal.bungie.org/index.php
+marathon-eternal-data:
+marathon-eternal-data:
+marathon-eternal-data: